import React, { Component } from 'react'
import './style.scss'
import Redirect   from 'react-router/Redirect'

import {
  Header,
  Layout,
  Drawer,
  Content,
  Navigation,
  Footer,
  FooterSection,
  FooterLinkList,
  Button
} from 'react-mdl'

export default class MainLayout extends Component {

  constructor(props) {
    super(props)
  }

  get menu () {
    return this.props.menu.map(menuItem => {
      return (<a key={menuItem.id} href={menuItem.link}> { menuItem.title } </a>)
    })
  }

  renderHeader() {
    return (<Header title={"dd"} style={{color: 'white'}}>
      <Navigation styleName="menu">
        { this.menu }
      </Navigation>
      { this.actionMenu}
    </Header>)
  }

  renderDrawer() {
    return (<Drawer title={"ddddddd"}>
      <Navigation>
        { this.menu }
      </Navigation>
    </Drawer>)
  }

  render () {
    return (<Layout fixedHeader>
            { this.renderHeader() }
            { this.renderDrawer() }
            <Content>
              <div styleName="container">
                { this.props.children}
              </div>
            </Content>
      </Layout>)
  }
}
